Bug 524549 - SHA256: Errata package listing showing multiple versions of the same package
Summary: SHA256: Errata package listing showing multiple versions of the same package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Stable
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: Red Hat Network Quality Assurance
URL: https://rhn.webdev.redhat.com/rhn/err...
Whiteboard: US168
Depends On:
Blocks: 519193 rhn-sprint31
TreeView+ depends on / blocked
 
Reported: 2009-09-21 07:13 UTC by Sebastian Skracic
Modified: 2013-01-10 10:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:48:57 UTC


Attachments (Terms of Use)

Description Sebastian Skracic 2009-09-21 07:13:55 UTC
Some errata package listings show multiple versions of the same package, for example RHSA-2009:1179 contains bind-9.3.4-10.P1.el5_3.2 and bind-9.3.4-10.P1.el5_3.3.  The package listing should be filtered in a way that removes all the package versions except the most recent within the particular erratum.

Comment 1 Sebastian Skracic 2009-09-21 11:17:37 UTC
This affects public errata pages as well.  Take a look at this one:

http://rhn.webdev.redhat.com/errata/RHSA-2008-0556.html

... and its counterpart:

https://rhn.webdev.redhat.com/rhn/errata/details/Packages.do?eid=7219

Only the most recent package version, ie. freetype-2.1.4-10.el3, should be shown.

Comment 2 Sebastian Skracic 2009-09-21 11:27:16 UTC
(In reply to comment #1)

> 
> Only the most recent package version, ie. freetype-2.1.4-10.el3, should be
> shown.  

  What I meant was that only the most recent package version *per channel* should be shown.  The actual version-release of the most recent package in the erratum might depend on the channel the package belongs to.

Comment 3 Sebastian Skracic 2009-09-21 11:31:26 UTC
Patch submitted as 449d0d541311f28ab53095e3f40d4c200113da37.

Comment 4 Sebastian Skracic 2009-09-21 11:58:38 UTC
On DEV.

Comment 5 James Bowes 2009-09-21 20:02:12 UTC
Verified on dev


Note You need to log in before you can comment on or make changes to this bug.